This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 191411 - Debugger variables names not displayed properly
Debugger variables names not displayed properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 14:38 EDT by Nurdin Premji
Modified: 2008-05-06 11:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nurdin Premji 2006-05-11 14:38:58 EDT
Description of problem:

Using the pydev debugger, variable names do not display, only the green dots.
Dropping the size of gnome fonts fixes the problem sometimes, but not always.
(Doesn't work for very long variables.)

Version-Release number of selected component (if applicable):

java version "1.4.2"
gij (GNU libgcj) version 4.1.0 20060304 (Red Hat 4.1.0-3)

Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is
NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
Eclipse Java Compiler v_585_R31x, 3.1.2 release, Copyright IBM Corp
2000, 2006. All rights reserved.

eclipse-{platform,pydev} gcc
java-1.4.2-gcj-compat-1.4.2.0-40jpp_83rh
java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_83rh
eclipse-platform-3.1.2-1jpp_13fc
eclipse-pydev-0.9.3_fc-15
gcc-4.1.0-3

How reproducible:

Every time.

Steps to Reproduce:
1. Set gnome font to 72, check out yum and yum-utils from data provided by
http://linux.duke.edu/projects/yum/cvs.ptml 
2. put a breakpoint in yumdownloader.py right after the main() function
i.e. (opts, args) = parseArgs()
3. step over lines until you get to avail = my.pkgSack.returnPackages(), which
creates the new variable avail that is very long.
  
Actual results:

The name portion of the variables disappears leaving only the green dots.

Expected results:

Variables still have names.

Additional info:
Comment 1 Bug Zapper 2008-04-03 22:52:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:53:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.